Bug 1250173 - SPC as defined by atomic should provide the same level of functionality as RHEL
SPC as defined by atomic should provide the same level of functionality as RHEL
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rhel-server-atomic (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Colin Walters
atomic-bugs@redhat.com
: Extras
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 12:17 EDT by Fabian Deutsch
Modified: 2017-08-02 02:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2015-08-04 12:17:11 EDT
Description of problem:
Currently running an SPC using the atomic command on an RHEL-AH does not provide the same technological feature level of RHEL.
To make it easier to adopt low-level packages (i.e. vdsm) to containers, an SPC should provide a working RHEL-like environment.

The key components as of now are:
- multi-service container based on systemd
- Working LVM, iSCSI, and FC
- clear guidelines how the cooperation with the host should happen (i.e. generating a new initramfs on the host side)
Comment 2 Colin Walters 2016-09-14 09:52:53 EDT
Similar to http://bugzilla.redhat.com/1209256 and 1166465
Comment 3 Daniel Walsh 2016-10-18 13:10:56 EDT
Is this asking for a Fedora-tools container?

Note You need to log in before you can comment on or make changes to this bug.